Subject: Re: [PATCHv1 0/6] Fix bug in large transactions

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 Jan 2015 00:00:16 -0800

Jeff King <[email-masked]> writes:

> On Wed, Jan 21, 2015 at 03:23:39PM -0800, Stefan Beller wrote:
>
>> (reported as: git update-ref --stdin : too many open files, 2014-12-20)
>> 
>> First a test case is introduced to demonstrate the failure,
>> the patches 2-6 are little refactoring and the last patch 
>> fixes the bug and also marks the bugs as resolved in the
>> test suite.
>> 
>> Unfortunately this applies on top of origin/next.
>
> Saying "applies on next" is not very useful to Junio. He is not going to
> branch a topic straight from "next", as merging it to master would pull
> in all of the topics cooking in "next" (not to mention a bunch of merge
> commits which are generally never part of "master").
>
> Instead, figure out which topic in next you actually _need_ to build on,
> and then it can be branched from there. And if there is no such topic,
> then you should not be building on next, of course. :) But I think you
> know that part already.

All very true.

I consider anything new that appears late in the cycle, especially
during deep in the pre-release freeze, less for me to apply but more
for others to eyeball the preview of a series the submitter plans to
work on once the next cycle starts, so basing on 'next' does not
hurt too much.  For interested others,

	git checkout origin/next^0

would be shorter to type than

	git checkout "origin/next^{/^Merge branch 'sb/atomic-push'}^2"

so... ;-)

But what is more troublesome is that neither this or updated v2
applies to 'next'.

Let me try to wiggle it in first.

Thanks.